package com.dskj.trustlend.bean;


import android.text.TextUtils;

import com.dskj.trustlend.utils.ToastUtils;

import retrofit2.http.Field;

public class LoanBean {

    private int id;
    private String amount;
    private int status;
    private String create_time;
    private Integer user_id;
    private String full_name;
    private String ic_code;
    private String phone;
    private String occupation;
    private String address;
    private String bank_name;
    private String bank_code;
    private String salary;
    private String id_front;
    private String id_back;
    private String update_time;


    private String bank_photo;
    private String type;
    private Integer periods;

    public String getBank_photo() {
        return bank_photo;
    }

    public void setBank_photo(String bank_photo) {
        this.bank_photo = bank_photo;
    }

    public String getType() {
        if(TextUtils.isEmpty(type)){
            return "1";
        }
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public Integer getPeriods() {
        if(periods==null){
            return 1;
        }
        return periods;
    }

    public void setPeriods(Integer periods) {
        this.periods = periods;
    }

    public String getId_front() {
        return id_front;
    }

    public void setId_front(String id_front) {
        this.id_front = id_front;
    }

    public String getId_back() {
        return id_back;
    }

    public void setId_back(String id_back) {
        this.id_back = id_back;
    }

    public Integer getUser_id() {
        return user_id;
    }

    public void setUser_id(Integer user_id) {
        this.user_id = user_id;
    }

    public String getFull_name() {
        return full_name;
    }

    public void setFull_name(String full_name) {
        this.full_name = full_name;
    }

    public String getIc_code() {
        return ic_code;
    }

    public void setIc_code(String ic_code) {
        this.ic_code = ic_code;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBank_name() {
        return bank_name;
    }

    public void setBank_name(String bank_name) {
        this.bank_name = bank_name;
    }

    public String getBank_code() {
        return bank_code;
    }

    public void setBank_code(String bank_code) {
        this.bank_code = bank_code;
    }

    public String getSalary() {
        return salary;
    }

    public void setSalary(String salary) {
        this.salary = salary;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }
}
